View Issue Details

IDProjectCategoryView StatusLast Update
0015741ScribusInternalpublic2019-12-08 21:24
Reporterale Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5.5.svn 
Target VersionFixed in Version1.5.6.svn 
Summary0015741: do not return int from PreferencesDialog::addItem()
DescriptionPreferencesDialog::addItem() retuns a counter, but the value is not read by any call to it.

i suggest to remove the return value.

https://gitlab.com/scribus/scribus/blob/master/scribus/ui/preferencesdialog.cpp#L290
TagsNo tags attached.
PatchNo

Activities

jghali

2019-07-16 19:03

administrator   ~0046396

Last edited: 2019-07-16 19:04

View 2 revisions

I don't think there is any benefit in doing so. That function is also a plugin api, so we may even break some user plugins by changing this function signature.

ale

2019-07-18 06:49

manager   ~0046416

i don't think that any users' plugin exist.

from what we have experienced in the last couple of years, i see scribus getting more interest from "serious" users and it would be nice to clean up its code before that happens.

and the benefit is: having interfaces that are not misleading, that do not require the user to check what the valid return values are, if there are no return values.

cbradney

2019-08-06 21:39

administrator   ~0046441

Last edited: 2019-08-06 21:40

View 2 revisions

API is protected anyway.. and we have a plugin API to allow this to work.

I have this.. got some other changes with it too.

Issue History

Date Modified Username Field Change
2019-07-16 16:21 ale New Issue
2019-07-16 18:56 jghali Category - => Internal
2019-07-16 19:03 jghali Note Added: 0046396
2019-07-16 19:04 jghali Note Edited: 0046396 View Revisions
2019-07-18 06:49 ale Note Added: 0046416
2019-08-06 21:39 cbradney Assigned To => cbradney
2019-08-06 21:39 cbradney Status new => assigned
2019-08-06 21:39 cbradney Note Added: 0046441
2019-08-06 21:40 cbradney Note Edited: 0046441 View Revisions
2019-08-07 19:37 cbradney Status assigned => resolved
2019-08-07 19:37 cbradney Resolution open => fixed
2019-08-07 19:37 cbradney Fixed in Version => 1.5.6.svn
2019-12-08 21:24 cbradney Status resolved => closed